Ideas
The idea object
{
"id": "c469e730-043d-4bda-a3a0-5e029f56c027",
"createdAt": "2025-03-07T13:22:12.110Z",
"updatedAt": "2025-03-07T13:22:12.110Z",
"friendlyId": 1,
"aiAssisted": false,
"canEdit": true,
"keywords": [],
"anonymity": null,
"isLiked": false,
"fields": [
{
"kind": "SHORT_TEXT",
"title": "Title",
"value": "Great Idea"
},
{
"kind": "LONG_TEXT",
"title": "Description",
"value": "This is a great idea"
}
],
"stats": {
"likes": {
"total": 0
}
},
"mission": {
"title": "My mission"
},
"owner": {
"email": "test@test.com",
"firstName": "Test"
},
"status": {
"title": "On Track",
"kind": "ACTIVE"
},
"phase": {
"name": "Comment"
}
}Fields
Field | Type | Description |
|---|---|---|
id |
| The unique identifier of the idea. |
createdAt |
| The date when the idea was created. |
updatedAt |
| The date when the idea was last updated. |
friendlyId |
| The human readable ID of the idea |
aiAssisted |
| Indicates if this idea was created using AI |
canEdit |
| Indicates if the user has edit access to the idea |
keywords |
| The keywords extracted from the idea content |
anonymity |
| The degree of anonymity that this idea has |
isLiked |
| Indicates if this idea has been liked by the authorized user |
fields.kind |
| The kind of filled out idea field |
fields.title |
| The title of filled out idea field |
fields.value |
| The value of filled out idea field |
stats.likes.total |
| The total amount of likes of the idea |
mission | The mission that this idea was created in | |
owner | The user who created this idea | |
status | The status of the idea | |
phase | The current phase of the idea |
List ideas
curl -X GET "https://api.ideanote.io/v1/ideas?fields=id,friendlyId,keywords,status.title,phase.name,fields.{kind,title,value},owner.{firstName}" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API Token>"const result = await fetch("https://api.ideanote.io/v1/ideas?fields=id,friendlyId,keywords,status.title,phase.name,fields.{kind,title,value},owner.{firstName}", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <API Token>",
}
});
const ideas = await result.json();The above command returns JSON structured like this:
[
{
"friendlyId": 2,
"keywords": [],
"status": {},
"phase": {},
"fields": [
{},
{}
],
"owner": {}
},
{
"friendlyId": 1,
"keywords": [],
"status": {},
"phase": {},
"fields": [
{},
{}
],
"owner": {}
}
]This endpoint lists ideas.
HTTP Request
GET /v1/ideas
List ideas in mission
curl -X GET "https://api.ideanote.io/v1/missions/b3f0255d-6dc9-4c4e-b932-7186d7268a66/ideas?fields=id,friendlyId,keywords,status.title,phase.name,fields.{kind,title,value},owner.{firstName}" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API Token>"const result = await fetch("https://api.ideanote.io/v1/missions/b3f0255d-6dc9-4c4e-b932-7186d7268a66/ideas?fields=id,friendlyId,keywords,status.title,phase.name,fields.{kind,title,value},owner.{firstName}", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <API Token>",
}
});
const idea = await result.json();The above command returns JSON structured like this:
[]This endpoint lists ideas.
HTTP Request
GET /v1/missions/:mission_id/ideas
Query Parameters
Parameter | Description |
|---|---|
mission_id | The ID of the mission to list ideas |
Get idea
curl -X GET "https://api.ideanote.io/v1/ideas/c469e730-043d-4bda-a3a0-5e029f56c027?fields=id,friendlyId,keywords,status.title,phase.name,fields.{kind,title,value},owner.{firstName}" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API Token>"const result = await fetch("https://api.ideanote.io/v1/ideas/c469e730-043d-4bda-a3a0-5e029f56c027?fields=id,friendlyId,keywords,status.title,phase.name,fields.{kind,title,value},owner.{firstName}", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <API Token>",
}
});
const idea = await result.json();The above command returns JSON structured like this:
{
"friendlyId": 1,
"keywords": [],
"status": {},
"phase": {},
"fields": [
{},
{}
],
"owner": {}
}This endpoint retrieves a specific idea.
HTTP Request
GET /v1/ideas/:idea_id
Query Parameters
Parameter | Description |
|---|---|
idea_id | The ID of the idea to retrieve |
Create idea
curl -X POST "https://api.ideanote.io/v1/ideas?fields=id,friendlyId,keywords,status.title,phase.name,fields.{kind,title,value},owner.{firstName}" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API Token>" \
-d '{"mission":"b3f0255d-6dc9-4c4e-b932-7186d7268a66","Title":"My idea","Description":"This is my idea","Days to Implement":28}'const result = await fetch("https://api.ideanote.io/v1/ideas?fields=id,friendlyId,keywords,status.title,phase.name,fields.{kind,title,value},owner.{firstName}", {
method: "POST",
body: {
"mission": "b3f0255d-6dc9-4c4e-b932-7186d7268a66",
"Title": "My idea",
"Description": "This is my idea",
"Days to Implement": 28
},
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <API Token>",
}
});
const ideas = await result.json();The above command returns JSON structured like this:
{
"friendlyId": 3,
"keywords": [],
"status": {},
"phase": {},
"fields": [
{},
{},
{
"value": 28
}
],
"owner": {}
}This endpoint creates a new idea.
HTTP Request
POST /v1/ideas
Update idea
curl -X PUT "https://api.ideanote.io/v1/ideas/c469e730-043d-4bda-a3a0-5e029f56c027?fields=id,friendlyId,keywords,status.title,phase.name,fields.{kind,title,value},owner.{firstName}" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API Token>" \
-d '{"status":"c52d8af2-2727-4c76-8a8f-1814e488324e"}'const result = await fetch("https://api.ideanote.io/v1/ideas/c469e730-043d-4bda-a3a0-5e029f56c027?fields=id,friendlyId,keywords,status.title,phase.name,fields.{kind,title,value},owner.{firstName}", {
method: "PUT",
body: {
"status": "c52d8af2-2727-4c76-8a8f-1814e488324e"
},
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <API Token>",
}
});
const idea = await result.json();The above command returns JSON structured like this:
{
"friendlyId": 1,
"keywords": [
null,
null,
null,
null
],
"status": {},
"phase": {},
"fields": [
{},
{}
],
"owner": {}
}This endpoint updates a specific idea.
HTTP Request
PUT /v1/ideas/:idea_id
Query Parameters
Parameter | Description |
|---|---|
idea_id | The ID of the idea to update |
Delete idea
curl -X DELETE "https://api.ideanote.io/v1/idea/c469e730-043d-4bda-a3a0-5e029f56c027" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API Token>"const result = await fetch("https://api.ideanote.io/v1/idea/c469e730-043d-4bda-a3a0-5e029f56c027", {
method: "DELETE",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <API Token>",
}
});
This endpoint deletes a specific idea.
HTTP Request
DELETE /v1/idea/:idea_id
Query Parameters
Parameter | Description |
|---|---|
idea_id | The ID of the idea to delete |